linux: 3.2.0-24.39 -proposed tracker

Bug #1002329 reported by Luis Henriques on 2012-05-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
Canonical Platform QA Team
Security-signoff
Undecided
Canonical Security Team
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Nominated for Precise by Luis Henriques

Bug Description

This bug is for tracking the 3.2.0-24.39 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 21. May 2012 14:54 UTC
kernel-stable-Prepare-package-end:Tuesday, 22. May 2012 02:02 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 22. May 2012 02:02 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 22. May 2012 20:47 UTC
kernel-stable-Verification-testing-start:Tuesday, 22. May 2012 21:47 UTC
kernel-stable-Verification-testing-end:Wednesday, 23. May 2012 14:16 UTC
kernel-stable-Certification-testing-start:Wednesday, 23. May 2012 14:16 UTC
kernel-stable-Security-signoff-start:Wednesday, 23. May 2012 14:16 UTC
kernel-stable-Regression-testing-start:Wednesday, 23. May 2012 14:16 UTC
kernel-stable-Certification-testing-end:Wednesday, 23. May 2012 16:40 UTC
kernel-stable-Security-signoff-end:Wednesday, 23. May 2012 16:42 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 23. May 2012 17:13 UTC
kernel-stable-Regression-testing-end:Wednesday, 23. May 2012 17:13 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 23. May 2012 21:32 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 23. May 2012 21:32 UTC

Luis Henriques (henrix) on 2012-05-21
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1002599

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed. As this is a small change that we intend to fast-track, the usual round of rigorous QA is probably not required, but please do test the binaries to make sure that:

1) They fix the bug
2
) They aren't miscompiled/broken

tags: added: verification-needed
Brad Figg (brad-figg) on 2012-05-22
description: updated
Brad Figg (brad-figg) on 2012-05-22
description: updated
Brad Figg (brad-figg) on 2012-05-23
description: updated
Brad Figg (brad-figg) wrote :

Andy has tested this kernel and verified that it works as intended.

I have booted this kernel on two systems. One is my main desktop and the other is my home mail server. The kernel is working well on both.

Brad Figg (brad-figg) wrote :

This kernel has now been booted on a wide variety of bare-metal and virtual systems and no regressions have been found. These are more than boot tests as some of these systems are developers desktop systems or other server systems.

Brad Figg (brad-figg) wrote :

This is a trivial patch with no chance of regression. Certification is not necessary.

Brad Figg (brad-figg) wrote :

This is a trivial patch with no chance of regression. The necessary QA has been performed by members of the Kernel Team.

description: updated
Brad Figg (brad-figg) wrote :

This kernel contains no CVEs

description: updated
Brad Figg (brad-figg) on 2012-05-23
tags: added: qa-testing-passed verification-done
removed: verification-needed
Brad Figg (brad-figg) on 2012-05-23
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-24.39

---------------
linux (3.2.0-24.39) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1002329

  [ Andy Whitcroft ]

  * SAUCE: ata_piix: add a disable_driver option
    - LP: #994870
 -- Luis Henriques <email address hidden> Mon, 21 May 2012 15:51:25 +0100

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Adam Conrad (adconrad) wrote :

Copied to -updates. Thanks for the quick verification turnaround.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers